
Katello - Bug #4650

Katello module should set the consumer cert RPM name in the config file

03/13/2014 01:46 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: dustin tsang   

Category: Installer   

Target version: Katello 2.0   

Difficulty: trivial Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

See https://github.com/Katello/katello/pull/3788 for details around changes to the codebase in regard to how the consumer cert RPM

name is passed to the code. This configuration value needs to be set by the Katello module since that module dynamically generates

the name.

Associated revisions

Revision 590a0d45 - 06/23/2014 12:01 PM - dustin tsang

Fixes #4650 - consumer cert rpm name in config

Sets the consumer_cert_rpm name in katello.yml config file

because module dynamically generates the name.

Revision 1b2dd7d9 - 06/25/2014 11:03 AM - dustin tsang

Fixes #4650 - consumer cert alias for katello

Consumer cert alias stored as a variable so that puppet_katello can use

the cert name in the katello.yml template.

Revision 06752315 - 06/26/2014 06:57 AM - Eric Helms

Merge pull request #19 from dustint-rh/katello_ca_cert_name

Fixes #4650 - consumer cert alias for katello

Revision a3c6dac9 - 06/26/2014 10:50 AM - Eric Helms

Merge pull request #30 from dustint-rh/configure_candlepin_cert_rpm

Fixes #4650 - consumer cert rpm name in config

Revision fea14e7d - 06/27/2014 02:40 AM - dustin tsang

Fixes #4650,#6359 - sets consumer rpm katello.yml

6359 - Sets the candlepin consumer rpm name in katello's config file (katello.yml).

4650 - fix issue where consumer cert rpm was not updating

full_refresh_on_yum in rhsm.conf

Revision ddacfc77 - 06/27/2014 01:06 PM - Eric Helms

Merge pull request #78 from dustint-rh/cert_name_in_katello_conf

Fixes #4650 - sets consumer rpm in katello.yml

History

#1 - 06/04/2014 01:01 AM - Eric Helms

- Difficulty set to trivial
https://github.com/Katello/katello/pull/3788


- Triaged set to Yes

#2 - 06/18/2014 09:32 PM - dustin tsang

- Related to Bug #5647: community provisioning template does not work with katello added

#3 - 06/20/2014 04:28 AM - dustin tsang

- Assignee set to dustin tsang

- Target version set to 48

#4 - 06/20/2014 04:30 AM - dustin tsang

https://github.com/Katello/puppet-katello/pull/30

https://github.com/Katello/puppet-certs/pull/19

#5 - 06/26/2014 02:54 PM - dustin tsang

- Status changed from New to Closed

#6 - 06/26/2014 02:54 PM - dustin tsang

- Related to deleted (Bug #5647: community provisioning template does not work with katello)

#7 - 06/26/2014 03:17 PM - dustin tsang

- Status changed from Closed to Assigned

pull request needs to becreated for katello-installer

https://github.com/Katello/katello-installer/pull/78

#8 - 06/27/2014 02:01 PM - dustin tsang

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:fea14e7df4cba3b6e926985185a0e0166ffdfdbf.

#9 - 08/21/2014 02:30 PM - Eric Helms

- translation missing: en.field_release set to 13

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

https://github.com/Katello/puppet-katello/pull/30
https://github.com/Katello/puppet-certs/pull/19
https://github.com/Katello/katello-installer/pull/78
http://www.tcpdf.org

